Description

Item 7 from Christophe Camelis list;

Related issues:
Related to Server - Issues #656: Publish/subscribe enum with value > 127 Closed 03/07/2023

History

#1 - 03/24/2021 12:09 PM - Thierry Dufaure

I do not understand the problem. A hint would be helpful here Richard.

#2 - 03/30/2021 08:20 AM - Richard Schimmel

- Clause Reference set to Part 8 Clause 8.1.2.2

Clause 8.1.2.2 states: "Enumerated values outside the standardized range but within the MMS integer size shall be assumed to be value extensions
and shall not cause a protocol error".
So we have to add this to the conformance test

#3 - 03/30/2021 08:32 AM - Joel Greene
Richard's reference follows:
The size of the MMS data type shall be the minimum size required to contain the maximum standardized value.

The size of the integer is 8 bits for all currently published enumerations.

#4 - 04/20/2021 09:22 AM - Thierry Dufaure

| think this is good to test that negative enuemration does not cause trouble with the subscribers.
Nevertheless, | do not see the use case where there are more negative values that positive ones - in other words, the smallest negative value forces
the size of the enumeration requires a INT16.

#5 - 07/26/2022 08:44 AM - Joel Greene
- Assignee set to Richard Schimmel

- Priority changed from Normal to Low

Richard to draft test case, probably same as 656.

#6 - 07/26/2022 08:44 AM - Joel Greene
- Related to Issues #656: Publish/subscribe enum with value > 127 added

#7 - 08/09/2022 08:38 AM - IEC 61850 TPWG
- Due date set to 10/04/2022

- Status changed from New to In Progress

#8 - 01/09/2023 08:22 AM - Richard Schimmel
- Test Case ID set to sGos9

Solution added to #656

#9 - 01/10/2023 02:26 AM - Thierry Dufaure

The issue is not only for the scope of fixed-length GOOSE tests, but also for BER-encoded GOOSE tests.

Additionally, the test procedure shall indicate that the EnumType in the SCD is indicating ord values that are negative, or bigger than 129,...

#10 - 01/24/2023 08:42 AM - IEC 61850 TPWG
- Due date changed from 10/04/2022 to 02/07/2023

#11 - 02/07/2023 08:25 AM - IEC 61850 TPWG
- Due date changed from 02/07/2023 to 02/21/2023

#12 - 02/21/2023 08:20 AM - IEC 61850 TPWG
- Due date changed from 02/21/2023 to 03/07/2023

#13 - 03/21/2023 08:09 AM - IEC 61850 TPWG

- Status changed from In Progress to Resolved

#14 - 03/01/2024 09:49 AM - Richard Schimmel
- Status changed from Resolved to Closed

- Updated Test Document set to TP1.3
